Skip to main content
POST
/
api
/
v1
/
wallet
/
deploy_safe_msig
Deploy Safe 2/2 multisig with passkey + backend EOA
curl --request POST \
  --url https://api.hevn.finance/api/v1/wallet/deploy_safe_msig \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "x": "<string>",
  "y": "<string>"
}
'
{
  "safeAddress": "<string>",
  "passkeySignerAddress": "<string>",
  "backendOwner": "<string>",
  "txHash": "<string>"
}

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Body

application/json

Request to deploy a 2/2 Safe multisig with passkey + backend EOA owners.

x/y are the P-256 public key coordinates of the passkey. Each may be provided as a 0x-prefixed hex string or as a decimal string.

x
string
required
y
string
required

Response

Successful Response

Response for /wallet/deploy_safe_msig.

safeAddress
string
required
passkeySignerAddress
string
required
backendOwner
string
required
txHash
string | null